<?php
require '../../conexao/conexao.php';
session_start();
//die(var_dump($_POST));
// Verifica se os parâmetros necessários foram passados via GET
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['idsemana'])) {
    $idsemana = $_POST['idsemana'];
    $url = $_POST['url'];
} else {
    $url = $_POST['url'];
    $location = 'index.php';
    if (!empty($url)) {
        $location .= '?' . $url;
    }
    header("Location: $location");
    exit;
}

// Verifica se o formulário foi enviado
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'sim') {
        //exclusão na tabela perfil_usuario
        $stmt_usuario = $connectionmysql->prepare("DELETE FROM dias_semana WHERE id = ?");
        $stmt_usuario->bind_param("i", $idsemana);
        $stmt_usuario->execute();

        $location = './index.php?status=sucesso';
        if (!empty($url)) {
            $location .= '&' . $url;
        }
        header("Location: $location");
        exit;
    } elseif (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'nao') {
        $location = './index.php?';
        if (!empty($url)) {
            $location .= '&' . $url;
        }
        header("Location: $location");
        exit;
    } else {
        $location = 'index.php';
        if (!empty($url)) {
            $location .= '?' . $url;
        }

        // Redirecione para a página de destino
        header("Location: $location");
        exit;
    }
}

// Se o formulário ainda não foi enviado, exibe a mensagem de confirmação
